# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2025 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
import os
from clcommon.cpapi import cpusers
from clcommon.clpwd import ClPwd


def create_user_uid_dirs():
    """
    Create /var/clwpos/uids/{uid} directories for all users
    :return: None
    """
    for username in cpusers():
        try:
            uid = ClPwd().get_uid(username)
            os.makedirs(f"/var/clwpos/uids/{uid}", 0o755, exist_ok=True)
        except ClPwd.NoSuchUserException:
            print(f"ERROR: No such user {username}")
        except Exception as e:
            print(f"Error processing user {username}: {e}")
